Main Page Class Hierarchy Compound List File List Compound Members File Members

# SUDS_INSTRUMENT Struct Reference

`#include <sudshead.h>`

List of all members.

## Public Attributes
SUDS_STATIDENT | in_name
SH_INT | in_serial
SH_INT | comps
SH_INT | channel
CHAR | sens_type
CHAR | datatype
LG_INT | void_samp
FLOAT | dig_con
FLOAT | aa_corner
FLOAT | aa_poles
FLOAT | nat_freq
FLOAT | damping
FLOAT | mot_con
FLOAT | gain
FLOAT | local_x
FLOAT | local_y
FLOAT | local_z
ST_TIME | effective
FLOAT | pre_event
SH_INT | trig_num
STRING | study [6]
SH_INT | sn_serial

## Member Data Documentation

FLOAT SUDS_INSTRUMENT::aa_corner

| Definition at line 458 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::aa_poles

| Definition at line 459 of file sudshead.h.

SH_INT SUDS_INSTRUMENT::channel

| Definition at line 453 of file sudshead.h.

SH_INT SUDS_INSTRUMENT::comps

| Definition at line 452 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::damping

| Definition at line 461 of file sudshead.h.

CHAR SUDS_INSTRUMENT::datatype

| Definition at line 455 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::dig_con

| Definition at line 457 of file sudshead.h.

ST_TIME SUDS_INSTRUMENT::effective

| Definition at line 467 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::gain

| Definition at line 463 of file sudshead.h.

SUDS_STATIDENT SUDS_INSTRUMENT::in_name

| Definition at line 450 of file sudshead.h.

SH_INT SUDS_INSTRUMENT::in_serial

| Definition at line 451 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::local_x

| Definition at line 464 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::local_y

| Definition at line 465 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::local_z

| Definition at line 466 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::mot_con

| Definition at line 462 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::nat_freq

| Definition at line 460 of file sudshead.h.

FLOAT SUDS_INSTRUMENT::pre_event

| Definition at line 468 of file sudshead.h.

CHAR SUDS_INSTRUMENT::sens_type

| Definition at line 454 of file sudshead.h.

SH_INT SUDS_INSTRUMENT::sn_serial

| Definition at line 471 of file sudshead.h.

STRING SUDS_INSTRUMENT::study[6]

| Definition at line 470 of file sudshead.h.

SH_INT SUDS_INSTRUMENT::trig_num

| Definition at line 469 of file sudshead.h.

LG_INT SUDS_INSTRUMENT::void_samp

| Definition at line 456 of file sudshead.h.

The documentation for this struct was generated from the following file:

- sudshead.h